regression: support for dvico dual digital 4 card

Bug #459523 reported by Vince McIntyre
88
This bug affects 9 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: linux-image

Hi

symptom:
------------
I have two dvico cards in this machine, dual digital4 and dual digtial express, see lspci data.
Both work on 'hardy', with v4l modules from the v4l mercurial repository. I'll provide more details of that setup shortly.

On karmic the kernel recognizes this card but appears to be unable to make it tune. When I try to tune with 'dvb-utils' 'scan' program, I get syslog spew:
 kernel: [ 315.032076] dvb-usb: bulk message failed: -110 (4/0)
 kernel: [ 315.032080] cxusb: i2c read failed
 kernel: [ 317.132138] dvb-usb: bulk message failed: -110 (4/0)
 kernel: [ 317.132143] cxusb: i2c read failed
 ...
and the card is unable to tune.

Initially the spew is slow, about 1 per second.
If I rmmod cxusb, the spew stops.
If I then modprobe -v cxusb module, the spew resumes at a dramatically higher rate.

To reproduce:
------------------

cold-boot the machine. the power supply must be off. unplug if unsure.

To make the kernel initialise it properly I had to add some firmware (/lib/firmware/xc3028-v27.fw, md5sum 293dc5e915d9a0f74a368f8a2ce3cc10). This is normal for this card and seems to work ok.

$ /bin/ls -lRF /dev/dvb
/dev/dvb:
total 0
drwxr-xr-x 2 root root 120 2009-10-24 22:15 adapter0/
drwxr-xr-x 2 root root 120 2009-10-24 22:15 adapter1/
drwxr-xr-x 2 root root 120 2009-10-24 22:15 adapter2/
drwxr-xr-x 2 root root 120 2009-10-24 22:15 adapter3/

/dev/dvb/adapter0:
total 0
crw-rw----+ 1 root video 212, 0 2009-10-24 22:15 demux0
crw-rw----+ 1 root video 212, 1 2009-10-24 22:15 dvr0
crw-rw----+ 1 root video 212, 3 2009-10-24 22:15 frontend0
crw-rw----+ 1 root video 212, 2 2009-10-24 22:15 net0

/dev/dvb/adapter1:
total 0
crw-rw----+ 1 root video 212, 5 2009-10-24 22:15 demux0
crw-rw----+ 1 root video 212, 6 2009-10-24 22:15 dvr0
crw-rw----+ 1 root video 212, 4 2009-10-24 22:15 frontend0
crw-rw----+ 1 root video 212, 7 2009-10-24 22:15 net0

/dev/dvb/adapter2:
total 0
crw-rw----+ 1 root video 212, 9 2009-10-24 22:15 demux0
crw-rw----+ 1 root video 212, 10 2009-10-24 22:15 dvr0
crw-rw----+ 1 root video 212, 8 2009-10-24 22:15 frontend0
crw-rw----+ 1 root video 212, 11 2009-10-24 22:15 net0

/dev/dvb/adapter3:
total 0
crw-rw----+ 1 root video 212, 12 2009-10-24 22:15 demux0
crw-rw----+ 1 root video 212, 13 2009-10-24 22:15 dvr0
crw-rw----+ 1 root video 212, 15 2009-10-24 22:15 frontend0
crw-rw----+ 1 root video 212, 14 2009-10-24 22:15 net0

Try to tune with:
  $ dvbscan /usr/share/dvb/dvb-t/au-Sydney_North_Shore | tee northshore.conf
and see how far you get.

Things I tried:
-----------------
I tried to install the latest generic kernel (2.6.31-14.48) but there is some other bug preventing it from booting.

I tried ubuntu-bug -p, but got a warning
 $ ubuntu-bug -p linux
Warning: The options -p/-P are deprecated, please do not use them. See /usr/bin/ubuntu-bug --help

so I gave up on that approach and will append the requested details shortly.
Perhaps the linux-meta guidelines should be updated?

There are several reports of this kind of problem, going back to the hardy kernel, I'll try to provide a summary.
In fact on that setup I get similar kinds of syslog spew when shutting down and sometimes when I warm-boot,
but the cards do at least work if I cold boot.
Unfortunately nobody on the linux-media/linux-dvb list who could do something about this seems to care.
Perhaps they are waiting for a good bug report, I dunno.

ProblemType: Bug
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: vjm 2175 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0x905a0000 irq 22'
   Mixer name : 'Realtek ALC888'
   Components : 'HDA:10ec0888,80860001,00100001'
   Controls : 38
   Simple ctrls : 21
Date: Sat Oct 24 12:31:01 2009
DistroRelease: Ubuntu 9.10
HibernationDevice: RESUME=/dev/mapper/vgb-swap
Package: linux-image (not installed)
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-13-generic root=UUID=9ecccb04-4b5b-4017-a49d-80dca283631d ro quiet splash
ProcEnviron:
 LANG=en_AU.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-13.43-generic
RelatedPackageVersions: linux-firmware 1.24
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux-meta
Uname: Linux 2.6.31-13-generic i686
XsessionErrors:
 (gnome-settings-daemon:2188): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (gnome-settings-daemon:2188): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (polkit-gnome-authentication-agent-1:2241): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed
 (nautilus:2231): Eel-CRITICAL **: eel_preferences_get_boolean: assertion `preferences_is_initialized ()' failed
dmi.bios.date: 10/02/2007
dmi.bios.vendor: Intel Corp.
dmi.bios.version: DPP3510J.86A.0293.2007.1002.1519
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: DG33BU
dmi.board.vendor: Intel Corporation
dmi.board.version: AAD79951-407
dmi.chassis.type: 2
dmi.modalias: dmi:bvnIntelCorp.:bvrDPP3510J.86A.0293.2007.1002.1519:bd10/02/2007:svn:pn:pvr:rvnIntelCorporation:rnDG33BU:rvrAAD79951-407:cvn:ct2:cvr:

Revision history for this message
Vince McIntyre (vmcintyr) wrote :
Revision history for this message
Vince McIntyre (vmcintyr) wrote :

I tried stracing the dvbscan, see attached (log.dvbscan)

Revision history for this message
Vince McIntyre (vmcintyr) wrote :

and kept the syslog of what occured then (syslog.dvbscan).
it stops when I typed 'halt'.

Revision history for this message
Vince McIntyre (vmcintyr) wrote :

details of the working system:

it's the same hardware, with an earlier version of ubuntu installed on a separate hard disk.
$ uname -a
Linux wellington 2.6.24-23-rt #1 SMP PREEMPT RT Wed Apr 1 23:40:34 UTC 2009 i686 GNU/Linux

The kernel I am using is linux-image-2.6.24-23-rt, package version 2.6.24-23.52.
I have had problems with linux-image-2.6.24-24-rt but have not had time to characterise or report them.

On this setup I am running dvb drivers from the v4l hg,
{{{
$ sudo modinfo dvb_usb_cxusb
filename: /lib/modules/2.6.24-23-rt/kernel/drivers/media/dvb/dvb-usb/dvb-usb-cxusb.ko
license: GPL
version: 1.0-alpha
description: Driver for Conexant USB2.0 hybrid reference design
author: Chris Pascoe <email address hidden>
author: Michael Krufky <email address hidden>
author: Patrick Boettcher <email address hidden>
srcversion: 42696397EE37DD79A9589B7
alias: usb:v0572p86D6d*dc*dsc*dp*ic*isc*ip*
alias: usb:v0FE9pDB98d*dc*dsc*dp*ic*isc*ip*
alias: usb:v07CApA868d*dc*dsc*dp*ic*isc*ip*
alias: usb:v0FE9pDB71d*dc*dsc*dp*ic*isc*ip*
alias: usb:v0FE9pDB70d*dc*dsc*dp*ic*isc*ip*
alias: usb:v0FE9pDB78d*dc*dsc*dp*ic*isc*ip*
alias: usb:v0FE9pDB59d*dc*dsc*dp*ic*isc*ip*
alias: usb:v0FE9pDB58d*dc*dsc*dp*ic*isc*ip*
alias: usb:v0FE9pDB55d*dc*dsc*dp*ic*isc*ip*
alias: usb:v0FE9pDB54d*dc*dsc*dp*ic*isc*ip*
alias: usb:v0FE9pDB11d*dc*dsc*dp*ic*isc*ip*
alias: usb:v0FE9pDB10d*dc*dsc*dp*ic*isc*ip*
alias: usb:v0FE9pDB01d*dc*dsc*dp*ic*isc*ip*
alias: usb:v0FE9pDB00d*dc*dsc*dp*ic*isc*ip*
alias: usb:v0FE9pDB51d*dc*dsc*dp*ic*isc*ip*
alias: usb:v0FE9pDB50d*dc*dsc*dp*ic*isc*ip*
alias: usb:v0FE9pD501d*dc*dsc*dp*ic*isc*ip*
alias: usb:v0FE9pD500d*dc*dsc*dp*ic*isc*ip*
alias: usb:v1660p0932d*dc*dsc*dp*ic*isc*ip*
depends: dvb-usb,dib0070,usbcore,dib7000p
vermagic: 2.6.24-23-rt SMP preempt mod_unload 586
parm: debug:set debugging level (1=rc (or-able)). (int)
parm: adapter_nr:DVB adapter numbers (array of short)
}}}

The last time I pulled and built (Sat Sep 5 11:00:22 EST 2009), I got:
2b49813f8482 tip

See dmesg.working for dmesg output while the system boots, tunes to a live tv channel and then I log out.

Revision history for this message
Vince McIntyre (vmcintyr) wrote :

regarding the rmmod/modprobe experiment I described. The module is of course dvb_usb_cxusb, not 'cxusb'.

Revision history for this message
Vince McIntyre (vmcintyr) wrote :

/etc/lsb-release for working system:
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=8.04
DISTRIB_CODENAME=hardy
DISTRIB_DESCRIPTION="Ubuntu 8.04.3 LTS"

Revision history for this message
Robert Lowery (rglowery) wrote :

I have exactly the same issue on 9.10 (karmic) with my dvico dual digital 4 cards. Previously working perfectly on 9.04 (jaunty)

Revision history for this message
Vince McIntyre (vmcintyr) wrote :

Hi Bob
it would probably help people processing this report quite a bit to have the output of a working Jaunty system.

Could you post 'dmesg' from the following sequence of events:
 * disable mythtv if you have it installed (rename the /etc/init.d scripts)
 * shut down, pull the power.
 * boot
 * try a dvbscan, as shown above.
 * sudo dmesg >jaunty.dmesg

It would also help to clarify the exact kernel package you're running:
 * uname -r > jaunty.kernel-version
 * dpkg -l linux-image\* >> jaunty.kernel-version

Could you also say if you are using any self-compiled modules from the v4l mercurial tree?

It would also help to know the kernel version you are using in karmic:
 * uname -a > karmic.kernel-version
 * dpkg -l linux-image\* >> karmic.kernel-version
 * are you using self-compiled v4l modules? I am about to try this.

Revision history for this message
Vince McIntyre (vmcintyr) wrote :

I was able to get 2.6.31-14-generic to boot. I did not try tuning with this, I doubt it will make any difference.

I tried building the v4l tree:

  $ cd v4l-dvb
  $ make update; make ;
The build dies on the FiredTV driver for some reason, so turn it off.
  $ sed -ie 's/CONFIG_DVB_FIREDTV=m/CONFIG_DVB_FIREDTV=n/' v4l/.config;
  $ make clean; make; sudo make install

Then I shut down, and pulled the power to get a cold boot.
Boot, and try to tune, stracing as we do
  $ sudo strace -t -F -ff dvbscan /usr/share/dvb/dvb-t/au-Sydney_North_Shore | tee northshore.conf
It fails with "Unable to query frontend status".
  $ dmesg

The log file is attached as log.dvbscan.20091031

Revision history for this message
Vince McIntyre (vmcintyr) wrote :
Revision history for this message
Damien Morrissey (damien-damienandlaurel) wrote :

I too have experienced this issue. I run 2.6.27-11-generic with no dramas, but karmic beta was no good- same error as is described above. Dvico dual digital 4.

lsusb:

Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 003: ID 0fe9:db78 DVICO
Bus 003 Device 002: ID 0fe9:db78 DVICO
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 006: ID 0bc2:3000 Seagate RSS LLC
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 004: ID 15c2:ffdc SoundGraph Inc. iMON PAD Remote Controller
Bus 001 Device 003: ID 046d:c517 Logitech, Inc. LX710 Cordless Desktop Laser
Bus 001 Device 002: ID 1784:0001 TopSeed Technology Corp.
Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

It is ubuntu 8.10 that runs OK.

Revision history for this message
Vince McIntyre (vmcintyr) wrote :

Hi Damien

are you using "stock" ubuntu or did you compile more recent v4l-dvb drivers yourself?

Could you post dmesg output from booting up the working version?
It would be particularly helpful if you could boot, then try to tune the receiver with dvbscan or equivalently try to watch live tv in mythtv, then run dmesg.

Revision history for this message
Robert Lowery (rglowery) wrote :

The latest working kernel is the stock 2.6.28-15-generic one from jaunty, although I had to symbolically line the old /dev entries to the new ones expected by karmic.

I am attempting to bisect the v4l-dvb tree now to see when the issue was introduced, but might take a while as it seems lots of unrelated drivers fail to build from older versions of this tree on the 2.6.31-14 kernel.

Revision history for this message
Nigel Cunningham (nigelc) wrote :

Also seen here with my v1 Dvico Dual digital 4. Works fine with my Intrepid 2.6.27-15-generic kernel.

Changed in linux-meta (Ubuntu):
status: New → Confirmed
Revision history for this message
Nigel Cunningham (nigelc) wrote :

Logs from a working kernel:

[ 34.125372] dvb-usb: found a 'DViCO FusionHDTV DVB-T Dual Digital 4' in warm state.
[ 34.126593] dvb-usb: will pass the complete MPEG2 transport stream to the software demuxer.
[ 34.156813] DVB: registering new adapter (DViCO FusionHDTV DVB-T Dual Digital 4)
[ 34.517776] DVB: registering frontend 0 (Zarlink ZL10353 DVB-T)...
[ 34.683812] xc2028 1-0061: creating new instance
[ 34.683825] xc2028 1-0061: type set to XCeive xc2028/xc3028 tuner
[ 34.684665] input: IR-receiver inside an USB DVB receiver as /devices/pci0000:00/0000:00:14.2/usb2/2-1/input/input6
[ 34.712601] dvb-usb: schedule remote query interval to 100 msecs.
[ 34.712717] dvb-usb: DViCO FusionHDTV DVB-T Dual Digital 4 successfully initialized and connected.
[ 34.712768] dvb-usb: found a 'DViCO FusionHDTV DVB-T Dual Digital 4' in warm state.
[ 34.713044] dvb-usb: will pass the complete MPEG2 transport stream to the software demuxer.
[ 34.744197] DVB: registering new adapter (DViCO FusionHDTV DVB-T Dual Digital 4)
[ 34.792870] cxusb: No IR receiver detected on this device.
[ 34.792888] DVB: registering frontend 1 (Zarlink ZL10353 DVB-T)...
[ 34.793755] xc2028 2-0061: creating new instance
[ 34.793767] xc2028 2-0061: type set to XCeive xc2028/xc3028 tuner
[ 34.794370] dvb-usb: DViCO FusionHDTV DVB-T Dual Digital 4 successfully initialized and connected.
[ 34.794506] usbcore: registered new interface driver dvb_usb_cxusb

(...)

[ 66.823632] firmware: requesting xc3028-v27.fw
[ 67.072284] xc2028 1-0061: Loading 80 firmware images from xc3028-v27.fw, type: xc2028 firmware, ver 2.7
[ 67.092607] xc2028 1-0061: Loading firmware for type=BASE F8MHZ (3), id 0000000000000000.
[ 69.498925] xc2028 1-0061: Loading firmware for type=D2620 DTV7 (88), id 0000000000000000.
[ 69.550467] xc2028 1-0061: Loading SCODE for type=DTV6 QAM DTV7 DTV78 DTV8 ZARLINK456 SCODE HAS_IF_4760 (620003e0), id 0000000000000000.
[ 70.712519] firmware: requesting xc3028-v27.fw
[ 70.721993] xc2028 2-0061: Loading 80 firmware images from xc3028-v27.fw, type: xc2028 firmware, ver 2.7
[ 70.736416] xc2028 2-0061: Loading firmware for type=BASE F8MHZ (3), id 0000000000000000.
[ 72.748922] xc2028 2-0061: Loading firmware for type=D2620 DTV7 (88), id 0000000000000000.
[ 72.781443] xc2028 2-0061: Loading SCODE for type=DTV6 QAM DTV7 DTV78 DTV8 ZARLINK456 SCODE HAS_IF_4760 (620003e0), id 0000000000000000.

Revision history for this message
Robert Lowery (rglowery) wrote :

OK, I managed to bisect this issue being introduced by http://linuxtv.org/hg/v4l-dvb/rev/7276a5854219 which puts the tuner into sleep mode when no used.

At first glance, it looked like I would be able to use the no_poweroff=1 tuner-xc2028 kernel module parameter to workaround this issue, but the issue still occurred due to i2c bus fiddling in dvb_frontend.c. I was able to find another workaround with the standard ubuntu packages without requiring a recompile.

Just add the following line to /etc/modprobe.d/options

options dvb-core dvb_powerdown_on_sleep=0

I'll follow up with the maintainers to get this fixed upstream.

Revision history for this message
Nigel Cunningham (nigelc) wrote :

Confirming that adding

options dvb-core dvb_powerdown_on_sleep=0

to /etc/modprobe.d/options.conf fixes it for me also.

Revision history for this message
Kemble Wagner (oobe-trouble) wrote :

i was wondering if anyone has a work around with karmic as the whole OS become unusuable with this tuner and kernel 2.6.31 and compiling v4l-dvb does not seem to fix it yet?

Revision history for this message
Andy Whitcroft (apw) wrote :

This is a kernel bug, shifting to the right package.

affects: linux-meta (Ubuntu) → linux (Ubuntu)
Revision history for this message
Robert Lowery (rglowery) wrote : Re: [Bug 459523] Re: regression: support for dvico dual digital 4 card

> i was wondering if anyone has a work around with karmic as the whole OS
> become unusuable with this tuner and kernel 2.6.31 and compiling v4l-dvb
> does not seem to fix it yet?

The details at post #16 contain the workaround which works for karmic.

ie

add the following line to /etc/modprobe.d/options

options dvb-core dvb_powerdown_on_sleep=0

Revision history for this message
Jimbot (jkennon1) wrote :

Robert Lowery's suggested work around also addresses the issue in Mythbuntu
8.04 (Hardy) described in bug 459523 (USB DVB card floods the console with
recv bulk message failed -ETIMEOUT)

https://bugs.launchpad.net/bugs/229879

Revision history for this message
Vince McIntyre (vmcintyr) wrote :

Tried the module option workaround, and it does indeed work:
 * 2.6.31-14-generic (karmic), cold boot
 * 2.6.24-23-rt (hardy), cold boot

I tried tuning on karmic
 * dvbscan failed as shown above, with the stock karmic modules or V4L as of a few days ago.
   However there were no dvb-usb messages when/after the firmware was loaded.
 * w_scan worked fine with the stock karmic modules, but not recent V4L - it complained of API incompatibiltiy.
 * vlc with stock karmic modules was able to tune both my cards to all the transports detected by w_scan.
   On one card I had problems with one channel - lots of frame breakup. Not sure what the issue is here.

Many thanks for your help Rob, happy to help test changes.

Revision history for this message
Devin Heitmueller (devin-heitmueller) wrote :

djh - thanks to Vince and Robert for posting to the linux-media mailing list. I know what the problem is (the zl10353 is wedging the i2c bus because an i2c gate is not used on those boards) and will see about committing a fix in the next couple of days.

Revision history for this message
Robert Lowery (rglowery) wrote :

This is the proper fix that gets things going without workarounds. I'm working on getting it merged upstream, but that will take a while to go from the v4l-dvb tree -> 2.6.31 stable kernel series. Hope you find it useful until it makes its way into a karmic kernel.

-Rob

diff -r c57f47cfb0e8 linux/drivers/media/dvb/dvb-usb/cxusb.c
--- a/linux/drivers/media/dvb/dvb-usb/cxusb.c Wed Nov 04 18:21:15 2009 -0200
+++ b/linux/drivers/media/dvb/dvb-usb/cxusb.c Fri Nov 06 13:28:07 2009 +1100
@@ -666,6 +666,14 @@
        .parallel_ts = 1,
 };

+static struct zl10353_config cxusb_zl10353_xc3028_config_no_i2c_gate = {
+ .demod_address = 0x0f,
+ .if2 = 45600,
+ .no_tuner = 1,
+ .parallel_ts = 1,
+ .disable_i2c_gate_ctrl = 1,
+};
+
 static struct mt352_config cxusb_mt352_xc3028_config = {
        .demod_address = 0x0f,
        .if2 = 4560,
@@ -897,7 +905,7 @@
        cxusb_bluebird_gpio_pulse(adap->dev, 0x02, 1);

        if ((adap->fe = dvb_attach(zl10353_attach,
- &cxusb_zl10353_xc3028_config,
+ &cxusb_zl10353_xc3028_config_no_i2c_gate,
                                   &adap->dev->i2c_adap)) == NULL)
                return -EIO;

Revision history for this message
Vince McIntyre (vmcintyr) wrote :

I tried this patch, on 2.6.24-23-rt and 2.6.31-14-generic
.
On the first, it appears to work fine. Thanks again Rob!

On the second, while the kernel seems happy I am unable to get any
applications to tune the card, when I use the latest v4l tree + Rob's
patch (40705fec2fb2 tip).

 * dvbscan fails with 'unable to query frontend status'

 * vlc is unable to tune as well
[0x9c2cf50] dvb access error: DVB-T: setting frontend failed (-1):
Invalid argument
[0x9c2cf50] dvb access error: DVB-T: tuning failed
[0xb7400c18] main input error: open of `dvb://frequency=177500' failed: (null)

 * w_scan fails a bit more informatively
w_scan version 20090808 (compiled for DVB API 5.0)
using settings for AUSTRALIA
DVB aerial
DVB-T AU
frontend_type DVB-T, channellist 3
output format vdr-1.6
Info: using DVB adapter auto detection.
       /dev/dvb/adapter0/frontend0 -> DVB-T "Zarlink ZL10353 DVB-T": good :-)
       /dev/dvb/adapter1/frontend0 -> DVB-T "Zarlink ZL10353 DVB-T": good :-)
       /dev/dvb/adapter2/frontend0 -> DVB-T "Zarlink ZL10353 DVB-T": good :-)
       /dev/dvb/adapter3/frontend0 -> DVB-T "Zarlink ZL10353 DVB-T": good :-)
Using DVB-T frontend (adapter /dev/dvb/adapter0/frontend0)
-_-_-_-_ Getting frontend capabilities-_-_-_-_
Using DVB API 5.1
frontend Zarlink ZL10353 DVB-T supports
INVERSION_AUTO
QAM_AUTO
TRANSMISSION_MODE_AUTO
GUARD_INTERVAL_AUTO
HIERARCHY_AUTO
FEC_AUTO
-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_
Scanning 7MHz frequencies...
177500: (time: 00:00) set_frontend:1690: FATAL: unsupported DVB API Version 5.1

Presumably this is all understood and expected i.e. application
authors are updating their code. Or do I have to go file wishlist bugs?
I see w_scan have updated to 5.1 as of late September.

Revision history for this message
BarryW (bazzawill) wrote :

I am having difficulty getting the patch to apply I get
Hunk #1 succeeded at 663 with fuzz 2 (offset -3 lines).
Hunk #2 FAILED at 902.
1 out of 2 hunks FAILED -- saving rejects to file cxusb.c.rej

using patch < patch

Revision history for this message
Damien Morrissey (damien-damienandlaurel) wrote :

Hi,
If it helps I can confirm that the workaround works fine for me. I meant to post my dmesg outputs, but have taken so long to do so (apologies for that) it seems that I missed the boat.

Revision history for this message
Robert Lowery (rglowery) wrote :

Barry,

What were you applying the patch to? The above patch was against the current tip of the v4l-dvb mercurial repository. If it is against something else (like the karmic kernel source?), you might need to apply the patch by hand.

-Rob

Revision history for this message
BarryW (bazzawill) wrote :

Robert,
I tried both and got the same error. It may have been something to do with the way I was formatting the patch. However I just tried Devin's tree from the mailing list and it doesn't fix my problem.

http://kernellabs.com/hg/~dheitmueller/misc-fixes-4

Revision history for this message
tc7 (tc7) wrote :

Excellent thread. Comment 16 solved it for me - although I created /etc/modprobe.d/mod_dvb.conf (instead of options).

using:
  karmic 64 (2.6.31-14-generic #48-Ubuntu SMP)
  firmware
  latest v4l mercurial repository (as of 9-Nov-2009), commented CONFIG_DVB_FIREDTV as above

Previously I had both tuners on working after a cold boot, then each tuner would hang with loads of errors in the logs.

Now all I get after a cold boot is:
[ 12.277550] DVB: registering new adapter (DViCO FusionHDTV DVB-T Dual Digital 4)
[ 12.302528] input: HDA Digital PCBeep as /devices/pci0000:00/0000:00:1b.0/input/input11
[ 12.344517] cxusb: No IR receiver detected on this device.
[ 12.344522] DVB: registering adapter 1 frontend 0 (Zarlink ZL10353 DVB-T)...
[ 12.344682] xc2028 1-0061: creating new instance
[ 12.344684] xc2028 1-0061: type set to XCeive xc2028/xc3028 tuner
[ 12.345278] dvb-usb: DViCO FusionHDTV DVB-T Dual Digital 4 successfully initialized and connected.
[ 12.345318] usbcore: registered new interface driver dvb_usb_cxusb

then after first TV tuner use:
[ 1006.663019] usb 3-1: firmware: requesting xc3028-v27.fw
[ 1006.703214] xc2028 0-0061: Loading 80 firmware images from xc3028-v27.fw, type: xc2028 firmware, ver 2.7
[ 1006.731522] xc2028 0-0061: Loading firmware for type=BASE F8MHZ (3), id 0000000000000000.
[ 1017.450677] xc2028 0-0061: Loading firmware for type=D2633 DTV7 (90), id 0000000000000000.
[ 1017.651263] xc2028 0-0061: Loading SCODE for type=SCODE HAS_IF_5260 (60000000), id 0000000000000000.
[ 1084.465935] usb 3-2: firmware: requesting xc3028-v27.fw
[ 1084.470447] xc2028 1-0061: Loading 80 firmware images from xc3028-v27.fw, type: xc2028 firmware, ver 2.7
[ 1084.484064] xc2028 1-0061: Loading firmware for type=BASE F8MHZ (3), id 0000000000000000.
[ 1095.290360] xc2028 1-0061: Loading firmware for type=D2633 DTV7 (90), id 0000000000000000.
[ 1095.501265] xc2028 1-0061: Loading SCODE for type=SCODE HAS_IF_5260 (60000000), id 0000000000000000.

me-tv is working nicely
I can't tune using w_scan as doesn't (yet) support 5.1 as above.

mythtv is working nicely too - although does not appear in sound preferences applications tab

Revision history for this message
robbak (robbak) wrote :

How are you going getting the patch into v4l, Robert? It would be good to have these devices powered down when not required, because they are hungry little fellows.

Revision history for this message
Robert Lowery (rglowery) wrote :

The patch has been merged into the v4l-dvb mercurial repository and has also been merged into the kernel tree (for the upcoming 2.6.32 release). I have also been notified that it is queued in the 2.6.31-stable tree, not sure if a later karmic kernel will pick this up or whether we will need to wait for lucid.

Revision history for this message
Devin Heitmueller (devin-heitmueller) wrote : Re: [Bug 459523] Re: regression: support for dvico dual digital 4 card
Download full text (6.2 KiB)

I received notification that it was also merged into 2.6.31 stable, so
we should be good to go for Karmic.

Devin

On Tue, Dec 1, 2009 at 10:36 PM, Robert Lowery <email address hidden> wrote:
> The patch has been merged into the v4l-dvb mercurial repository and has
> also been merged into the kernel tree (for the upcoming 2.6.32 release).
> I have also been notified that it is queued in the 2.6.31-stable tree,
> not sure if a later karmic kernel will pick this up or whether we will
> need to wait for lucid.
>
> --
> regression: support for dvico dual digital 4 card
> https://bugs.launchpad.net/bugs/459523
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: linux-image
>
> Hi
>
> symptom:
> ------------
> I have two dvico cards in this machine, dual digital4 and dual digtial express, see lspci data.
> Both work on 'hardy', with v4l modules from the v4l mercurial repository. I'll provide more details of that setup shortly.
>
> On karmic the kernel recognizes this card but appears to be unable to make it tune. When I try to tune with 'dvb-utils' 'scan' program, I get syslog spew:
>  kernel: [  315.032076] dvb-usb: bulk message failed: -110 (4/0)
>  kernel: [  315.032080] cxusb: i2c read failed
>  kernel: [  317.132138] dvb-usb: bulk message failed:  -110 (4/0)
>  kernel: [  317.132143] cxusb: i2c read failed
>  ...
> and the card is unable to tune.
>
> Initially the spew is slow, about 1 per second.
> If I rmmod cxusb, the spew stops.
> If I then modprobe -v cxusb module, the spew resumes at a dramatically higher rate.
>
> To reproduce:
> ------------------
>
> cold-boot the machine. the power supply must be off. unplug if unsure.
>
> To make the kernel initialise it properly I had to add some firmware (/lib/firmware/xc3028-v27.fw, md5sum 293dc5e915d9a0f74a368f8a2ce3cc10). This is normal for this card and seems to work ok.
>
> $ /bin/ls -lRF /dev/dvb
> /dev/dvb:
> total 0
> drwxr-xr-x 2 root root 120 2009-10-24 22:15 adapter0/
> drwxr-xr-x 2 root root 120 2009-10-24 22:15 adapter1/
> drwxr-xr-x 2 root root 120 2009-10-24 22:15 adapter2/
> drwxr-xr-x 2 root root 120 2009-10-24 22:15 adapter3/
>
> /dev/dvb/adapter0:
> total 0
> crw-rw----+ 1 root video 212, 0 2009-10-24 22:15 demux0
> crw-rw----+ 1 root video 212, 1 2009-10-24 22:15 dvr0
> crw-rw----+ 1 root video 212, 3 2009-10-24 22:15 frontend0
> crw-rw----+ 1 root video 212, 2 2009-10-24 22:15 net0
>
> /dev/dvb/adapter1:
> total 0
> crw-rw----+ 1 root video 212, 5 2009-10-24 22:15 demux0
> crw-rw----+ 1 root video 212, 6 2009-10-24 22:15 dvr0
> crw-rw----+ 1 root video 212, 4 2009-10-24 22:15 frontend0
> crw-rw----+ 1 root video 212, 7 2009-10-24 22:15 net0
>
> /dev/dvb/adapter2:
> total 0
> crw-rw----+ 1 root video 212,  9 2009-10-24 22:15 demux0
> crw-rw----+ 1 root video 212, 10 2009-10-24 22:15 dvr0
> crw-rw----+ 1 root video 212,  8 2009-10-24 22:15 frontend0
> crw-rw----+ 1 root video 212, 11 2009-10-24 22:15 net0
>
> /dev/dvb/adapter3:
> total 0
> crw-rw----+ 1 root video 212, 12 2009-10-24 22:15 demux0
> crw-rw----+ 1 root video 212, 13 2009-10-24 22:15 d...

Read more...

Revision history for this message
robbak (robbak) wrote :

I see we have just got linux 2.6.31_16, but I cannot see the patch in the changes list. Does anyone know if the patch made it? I don't have reliable net access at my myth box, so I cannot easily try it to see.

Revision history for this message
Vince McIntyre (vmcintyr) wrote :
Revision history for this message
Nigel Cunningham (nigelc) wrote :

Yeah. I think this should be closed as fixed.

Changed in linux (Ubuntu):
status: Confirmed → Fix Released
Revision history for this message
Brett Gardner (brett-gardner) wrote :

I was having this problem on Karmic.

This morning I upgraded to the latest version of Karmic which fixed the problem, then I upgraded to Lucid and it is back again.

Revision history for this message
BarryW (bazzawill) wrote :

I can confirm the problem is on lucid however fresh compile of v4l-dvb tree fixes the problem

Revision history for this message
BarryW (bazzawill) wrote :

I still get this problem when ubuntu updates its kernel however recompiling v4l-dvb tree fixes it however this is frustrating to do everytime a kernel upgrade happens should this fix be in the mainline ubuntu kernel?

Revision history for this message
BarryW (bazzawill) wrote :

I just did a test on the vanilla kernel
https://wiki.ubuntu.com/Kernel/MainlineBuilds?action=show&redirect=KernelMainlineBuilds
and the problem does not occur so the problem is in the ubuntu fixes

Revision history for this message
BarryW (bazzawill) wrote :

I just tested on a mainline kernel from https://wiki.ubuntu.com/Kernel/MainlineBuilds using v2.6.32.21.9-lucid/ and the problem does not occur so the problem is in the ubuntu fixes it seems

Revision history for this message
Devin Heitmueller (devin-heitmueller) wrote : Re: [Bug 459523] Re: regression: support for dvico dual digital 4 card
Download full text (6.3 KiB)

Hi Barry,

Indeed, the problem was fixed upstream a long time ago. I don't take
any responsibility for making sure the individual distributions
properly merge the patches, so if you have issues with some
distribution you really need to take it up with the distro maintainer.

Cheers,

Devin

On Sat, Sep 18, 2010 at 9:00 PM, BarryW <email address hidden> wrote:
> I just tested on a mainline kernel from
> https://wiki.ubuntu.com/Kernel/MainlineBuilds using v2.6.32.21.9-lucid/
> and the problem does not occur so the problem is in the ubuntu fixes it
> seems
>
> --
> regression: support for dvico dual digital 4 card
> https://bugs.launchpad.net/bugs/459523
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Fix Released
>
> Bug description:
> Binary package hint: linux-image
>
> Hi
>
> symptom:
> ------------
> I have two dvico cards in this machine, dual digital4 and dual digtial express, see lspci data.
> Both work on 'hardy', with v4l modules from the v4l mercurial repository. I'll provide more details of that setup shortly.
>
> On karmic the kernel recognizes this card but appears to be unable to make it tune. When I try to tune with 'dvb-utils' 'scan' program, I get syslog spew:
>  kernel: [  315.032076] dvb-usb: bulk message failed: -110 (4/0)
>  kernel: [  315.032080] cxusb: i2c read failed
>  kernel: [  317.132138] dvb-usb: bulk message failed:  -110 (4/0)
>  kernel: [  317.132143] cxusb: i2c read failed
>  ...
> and the card is unable to tune.
>
> Initially the spew is slow, about 1 per second.
> If I rmmod cxusb, the spew stops.
> If I then modprobe -v cxusb module, the spew resumes at a dramatically higher rate.
>
> To reproduce:
> ------------------
>
> cold-boot the machine. the power supply must be off. unplug if unsure.
>
> To make the kernel initialise it properly I had to add some firmware (/lib/firmware/xc3028-v27.fw, md5sum 293dc5e915d9a0f74a368f8a2ce3cc10). This is normal for this card and seems to work ok.
>
> $ /bin/ls -lRF /dev/dvb
> /dev/dvb:
> total 0
> drwxr-xr-x 2 root root 120 2009-10-24 22:15 adapter0/
> drwxr-xr-x 2 root root 120 2009-10-24 22:15 adapter1/
> drwxr-xr-x 2 root root 120 2009-10-24 22:15 adapter2/
> drwxr-xr-x 2 root root 120 2009-10-24 22:15 adapter3/
>
> /dev/dvb/adapter0:
> total 0
> crw-rw----+ 1 root video 212, 0 2009-10-24 22:15 demux0
> crw-rw----+ 1 root video 212, 1 2009-10-24 22:15 dvr0
> crw-rw----+ 1 root video 212, 3 2009-10-24 22:15 frontend0
> crw-rw----+ 1 root video 212, 2 2009-10-24 22:15 net0
>
> /dev/dvb/adapter1:
> total 0
> crw-rw----+ 1 root video 212, 5 2009-10-24 22:15 demux0
> crw-rw----+ 1 root video 212, 6 2009-10-24 22:15 dvr0
> crw-rw----+ 1 root video 212, 4 2009-10-24 22:15 frontend0
> crw-rw----+ 1 root video 212, 7 2009-10-24 22:15 net0
>
> /dev/dvb/adapter2:
> total 0
> crw-rw----+ 1 root video 212,  9 2009-10-24 22:15 demux0
> crw-rw----+ 1 root video 212, 10 2009-10-24 22:15 dvr0
> crw-rw----+ 1 root video 212,  8 2009-10-24 22:15 frontend0
> crw-rw----+ 1 root video 212, 11 2009-10-24 22:15 net0
>
> /dev/dvb/adapter3:
> total 0
> crw-rw----+ 1 root video 212, 12 2009-10-24 22:15 demux0
> crw-...

Read more...

Revision history for this message
BarryW (bazzawill) wrote :

This is the bug report is filed against the ubuntu kernel feel free to unsubscribe from this bug and hopefully an ubuntu kernel maintainer will take on the task of getting the fixes into the ubuntu kernel

BarryW (bazzawill)
Changed in linux (Ubuntu):
status: Fix Released → Confirmed
Revision history for this message
Cafuego (cafuego) wrote :

Supposedly the problem is not supposed to occur with a vanilla kernel, but I get exactly the same issue when I run a vanilla 2.6.32.27 kernel, compiled from kernel.org sources.

Revision history for this message
Cafuego (cafuego) wrote :

... and for that matter, also on the 2.6.35-02063509-generic kernel from the Maverick mainline builds.

Revision history for this message
Brad Figg (brad-figg) wrote : Unsupported series, setting status to "Won't Fix".

This bug was filed against a series that is no longer supported and so is being marked as Won't Fix. If this issue still exists in a supported series, please file a new bug.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: Confirmed → Won't Fix
To post a comment you must log in.